API Assets
L’API Assets est utilisée pour créer, récupérer, mettre à jour et supprimer des objets d’actifs du pipeline.Objet Asset
This is a unique identifier for the asset.
Type of the asset. This can be either ‘video’ or ‘audio’.
Used to form playback URL and storage folder.
Whether to generate MP4s for the asset.
Attach Livepeer Studio C2PA Attestation in the output mp4 video.
URL for HLS playback.
URL to manually download the asset if desired.
Reference to the playback-policy schema.
Source of the asset, which can be URL, recording, directUpload, or clip.
Reference to the creator-id schema.
Information about the storage of the asset, particularly on IPFS.
Status of the asset, including its phase, update time, and any error message.
Name of the asset. This is not necessarily the filename, can be a custom name or title.
Timestamp (in milliseconds) at which asset was created.
Size of the asset in bytes.
Hash of the asset.
Video metadata including format, duration, bitrate, and tracks information.
Points de terminaison
- Télécharger un actif -
POST /asset/request-upload - Télécharger un actif via une URL -
POST /asset/request-upload/url - Obtenir l’actif -
GET /asset/{assetId} - Obtenir tous les actifs -
GET /asset - Mettre à jour l’actif -
PATCH /asset/{assetId} - Supprimer l’actif -
DELETE /asset/{assetId}